body {
    margin: 0;
    padding: 0;
    color: rgba(255, 255, 255, 0.87);
    background-color: #000000;
    font-family: Arial, Helvetica, sans-serif;
}

#app {
    width: 100%;
    height: 100vh;
    height: 100dvh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

ul {
    padding-inline-start: 1em;
}

.btn {
    padding: 10px;
    background-color: #000000;
    color: rgba(255, 255, 255, 0.87);
    border: 1px solid rgba(255, 255, 255, 0.87);
    border-radius: 5px;
    cursor: pointer;
}

.modal {
    position: absolute;
    max-width: 75%;
    min-width: 10rem;
    padding: 0.75rem;
    background-color: rgba(0, 0, 0, 0.8);
    border-radius: 5px;
    pointer-events: none;
    transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
    opacity: 0;
    transform: translateY(-20px);
}

.modal.active {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
}

.modal > header {
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
}

.modal > main {
    font-size: 1rem;
}

.modal > footer {
    text-align: center;
}

#game-container {
    max-width: 100%;
    max-height: 100%;
    aspect-ratio: 9 / 18;
}

#game-container canvas {
    width: 100%;
    height: 100%;
}
